Bug 28530 - matroxfb_base.h has an invalid 'struct display global_disp'
matroxfb_base.h has an invalid 'struct display global_disp'
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
7.1
i386 Linux
medium Severity low
: ---
: ---
Assigned To: Arjan van de Ven
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-02-20 21:59 EST by Rex Basham
Modified: 2007-04-18 12:31 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-02-21 03:33:08 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Rex Basham 2001-02-20 21:59:48 EST
From Bugzilla Helper:
User-Agent: Mozilla/4.76 [en] (X11; U; Linux 2.4.0-0.99.11 i686)


Genning a kernel with fisher.  It fails in the make modules with a multiply
defined global_disp in matroxfb_accel.o, matroxfb_base.o,
matroxfb_DAC1064.o, and matroxfb_misc.o.  Problem is caused by the 'struct
display global_disp' in the matroxfb_base.h header file.  If you remove the
line from the header file and add it to the matroxfb_base.c file,
everything compiles and runs fine.

Reproducible: Always
Steps to Reproduce:
1. make config and select frame buffer support for Matrox acceleration
(yeah, I know it's experimental)
2. Select G100/G200/G400/G450 support
3. No for multihead support
4. make dep ; make clean ; make modules ; make modules_install ; make
bzImage ; make install
	

Actual Results:  It will fail in the make modules step.  With the indicated
header file and c source changes, it works and you get a bootable kernel. 
It seems to be running just fine.

Expected Results:  The compile should have completed without the errors for
multiply defined symbols.
Comment 1 Arjan van de Ven 2001-02-21 03:58:21 EST
This is fixed in the next kernel build. If a kernel version of 2.4.1-0.1.9 or
later doesn't fix it for you, please reopen this bug.

Note You need to log in before you can comment on or make changes to this bug.